Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.xml
Class Log4jEntityResolver

    java.lang.Object
      |
      +--org.apache.log4j.xml.Log4jEntityResolver

All Implemented Interfaces:
  EntityResolver

public class Log4jEntityResolver
extends Object
implements EntityResolver

An `EntityResolver` specifically designed to return `log4j.dtd` which is embedded within the log4j jar file.

Author:
  Paul Austin

Constructor Summary
`Log4jEntityResolver()`

Method Summary
`InputSource` | `resolveEntity(String publicId, String systemId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log4jEntityResolver

    public Log4jEntityResolver()

Method Detail

### resolveEntity

    public InputSource resolveEntity(String publicId,
                                     String systemId)

  Specified by:
    `resolveEntity` in interface `EntityResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.